clear all; clc;

pn.root = '/Volumes/LNDG/Projects/StateSwitch/dynamic/';
pn.dataEEG_In   = [pn.root, 'raw/C_study/eeg/*'];
pn.dataMRI_In   = [pn.root, 'raw/C_study/mri/behavior_eye/*'];
pn.dataOut      = [pn.root, 'data/behavior/STSW_dynamic/E_stimJitter/B_data/A_rawData/'];

%% get available behavioral subjects

ID_MRI = {'1117';'1118';'1120';'1124';'1125';'1126';'1131';'1132';'1135';...
    '1136';'1151';'1160';'1164';'1167';'1169';'1172';'1173';'1178';'1182';...
    '1214';'1215';'1216';'1219';'1223';'1227';'1228';'1233';'1234';'1237';...
    '1239';'1240';'1243';'1245';'1247';'1250';'1252';'1257';'1261';'1265';...
    '1266';'1268';'1270';'1276';'1281';'2104';'2107';'2108';'2112';'2118';...
    '2120';'2121';'2123';'2125';'2129';'2130';'2131';'2132';'2133';'2134';...
    '2135';'2139';'2140';'2145';'2147';'2149';'2157';'2160';'2201';'2202';...
    '2203';'2205';'2206';'2209';'2210';'2211';'2213';'2214';'2215';'2216';...
    '2217';'2219';'2222';'2224';'2226';'2227';'2236';'2237';'2238';'2241';...
    '2244';'2246';'2248';'2250';'2251';'2252';'2258';'2261'};

ID_EEG = {'1117';'1118';'1120';'1124';'1126';'1131';'1132';'1135';'1136';...
    '1138';'1144';'1151';'1158';'1160';'1163';'1164';'1167';'1169';'1172';...
    '1173';'1178';'1182';'1215';'1216';'1219';'1221';'1223';'1227';'1228';...
    '1233';'1234';'1237';'1239';'1240';'1243';'1245';'1247';'1250';'1252';...
    '1257';'1261';'1265';'1266';'1268';'1270';'1276';'1281';'2104';'2107';...
    '2108';'2112';'2118';'2120';'2121';'2123';'2125';'2129';'2130';'2131';...
    '2132';'2133';'2134';'2135';'2139';'2140';'2145';'2147';'2149';'2157';...
    '2160';'2201';'2202';'2203';'2205';'2206';'2209';'2210';'2211';'2213';...
    '2214';'2215';'2216';'2217';'2219';'2222';'2224';'2226';'2227';'2236';...
    '2237';'2238';'2241';'2244';'2246';'2248';'2250';'2251';'2252';'2258';'2261'};

IDs_Complete    = intersect(ID_MRI,ID_EEG);

%% copy data for complete IDs

for indID = 1:numel(IDs_Complete)
    disp(['Copying subject ', IDs_Complete{indID}]);
    fileEEG = dir([pn.dataEEG_In, '/', IDs_Complete{indID}, '_StateSwitch_dynamic*']);
    fileMRI = dir([pn.dataMRI_In, '/', IDs_Complete{indID}, '_StateSwitchMR_dynamic*']);
    copyfile([fileEEG(1).folder, '/', fileEEG(1).name], [pn.dataOut, fileEEG(1).name]);
    copyfile([fileMRI(1).folder, '/', fileMRI(1).name], [pn.dataOut, fileMRI(1).name]);
end
